# KDChartThreeDBarAttributes.cpp File Reference

`#include "KDChartThreeDBarAttributes.h"`
`#include "KDChartThreeDBarAttributes_p.h"`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartThreeDBarAttributes.cpp:

Go to the source code of this file.

## Defines

#define | d d_func()

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::ThreeDBarAttributes &a)

## Define Documentation

#define d d_func()

| Definition at line 33 of file KDChartThreeDBarAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::ThreeDBarAttributes & | a
| ) |

Definition at line 105 of file KDChartThreeDBarAttributes.cpp.

    00106 {
    00107     dbg << "KDChart::ThreeDBarAttributes(";
    00108     dbg = operator <<( dbg, static_cast<const AbstractThreeDAttributes&>(a) );
    00109     dbg << "useShadowColors="<< a.useShadowColors()
    00110         << "angle=" << a.angle() << ")";
    00111     return dbg;
    00112 }